Bug 199418 - [maintainer patch] databases/adminer update to 4.2.1
Summary: [maintainer patch] databases/adminer update to 4.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-13 15:58 UTC by Zsolt Udvari
Modified: 2015-07-28 08:22 UTC (History)
2 users (show)

See Also:
uzsolt: maintainer-feedback+


Attachments
Patch (2.08 KB, patch)
2015-04-13 15:58 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff
updated patch (3.85 KB, patch)
2015-04-21 14:59 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2015-04-13 15:58:57 UTC
Created attachment 155546 [details]
Patch

Simple update to 4.2.1.
Poudriere log: http://uzsolt.hu/freebsd/poudriere/logs/amd64/adminer-4.2.1.log
Comment 1 Bartek Rutkowski freebsd_committer 2015-04-20 12:20:15 UTC
Patched port fails to build like that:

http://pd.valinor.palantiri.org/data/latest-per-pkg/adminer/4.2.1/84amd64-default.log

Please, fix that and submit a new patch. Also, remember to run portlint over the port before submitting to get rid of all the errors and remember to use tabs instead of spaces in variable assignments.
Comment 2 Zsolt Udvari 2015-04-21 14:59:37 UTC
Created attachment 155804 [details]
updated patch
Comment 3 Zsolt Udvari 2015-04-21 15:00:43 UTC
Poudriere log: http://uzsolt.hu/freebsd/poudriere/logs/amd64/adminer-4.2.1_1.log
Comment 4 Wen Heping freebsd_committer 2015-06-28 08:41:11 UTC
ping ...

wen
Comment 5 Zsolt Udvari 2015-06-28 08:45:06 UTC
I hope my latest patch is good. Or is there any other problem?
Comment 6 Wen Heping freebsd_committer 2015-06-28 08:46:40 UTC
(In reply to Zsolt Udvari from comment #5)
Yes, the new patch is OK.

robak@, would you recheck it ?

wen
Comment 7 Bartek Rutkowski freebsd_committer 2015-07-28 08:19:00 UTC
The port looks almost fine, with few small issues:

* when PORTVERSION is increased, you should drop the PORTREVISION
* pay attention to using tabs instead of spaces in variables assignment
* always run portlint -ACNc and try to get rid of all possible errors/warnings (there are still few about your OPTIONS)
Comment 8 commit-hook freebsd_committer 2015-07-28 08:21:53 UTC
A commit references this bug:

Author: robak
Date: Tue Jul 28 08:21:35 UTC 2015
New revision: 393058
URL: https://svnweb.freebsd.org/changeset/ports/393058

Log:
  databases/adminer: update 4.1.0 -> 4.2.1

  - Pet portlint

  PR:		199418
  Submitted by:	Zsolt Udvari <udvzsolt@gmail.com> (maintainer)

Changes:
  head/databases/adminer/Makefile
  head/databases/adminer/distinfo
  head/databases/adminer/pkg-plist
Comment 9 Bartek Rutkowski freebsd_committer 2015-07-28 08:22:47 UTC
Committed with minor changes, thanks!